package cn.iocoder.yudao.module.system.controller.admin.houselane.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 线库/巷道 Response VO")
@Data
@ExcelIgnoreUnannotated
public class WareHouseLaneRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "4293")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "地图id", example = "芋艿")
    @ExcelProperty("地图id")
    private Long positionMapId;

    @Schema(description = "巷道名称", example = "芋艿")
    @ExcelProperty("巷道名称")
    private String laneName;

    @Schema(description = "巷道说明(可以拓展为区域说明)")
    @ExcelProperty("巷道说明(可以拓展为区域说明)")
    private String laneMsg;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "节点ids", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<Long> mapItemIds;
}
