package cn.iocoder.yudao.module.system.controller.admin.parkingspot.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 停车点新增/修改 Request VO")
@Data
public class ParkingSpotSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26076")
    private Long id;

    @Schema(description = "地图id", example = "6609")
    private Long positionMapId;

    @Schema(description = "地图子表节点id", example = "23591")
    private Long positionMapItemId;

    @Schema(description = "库位坐标x轴")
    private String locationX;

    @Schema(description = "库位坐标y轴")
    private String locationY;

    @Schema(description = "宽度")
    private BigDecimal locationWide;

    @Schema(description = "深度")
    private BigDecimal locationDeep;

    @Schema(description = "库位方向（1：单向、2：双向、3：三向、4：四向）")
    private Integer direction;

    @Schema(description = "进入方向（0：尾入、1：头入）")
    private Integer inDirection;

    @Schema(description = "离开方向（0：尾出、1：头出）")
    private Integer outDirection;

}
