package cn.iocoder.yudao.module.system.controller.admin.positionmap.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 仓库点位地图连线新增/修改 Request VO")
@Data
public class PositionMapLineSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28062")
    private Long id;


    @Schema(description = "地图id", example = "20863")
    private Long positionMapId;

    @Schema(description = "出发点id(点位子表id)", example = "20863")
    private Long startingPointId;

    @Schema(description = "结束点id(点位子表id)", example = "15890")
    private Long endPointId;

    @Schema(description = "行走方法 0.直线 1.上左曲线2.上右曲线3.下左曲线 4.下右曲线")
    private Integer method;

    @Schema(description = "方向 1.单向 2.双向", example = "15890")
    private Integer direction;

    @Schema(description = "正向限速(m/s)", example = "15890")
    private BigDecimal forwardSpeedLimit;

    @Schema(description = "反向限速(m/s)", example = "15890")
    private BigDecimal reverseSpeedLimit;

}
