package cn.iocoder.yudao.module.system.controller.admin.robot.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;


@Schema(description = "管理后台 - 车辆信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RobotInformationPageRespVO {
    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "21881")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "车辆类型")
    @ExcelProperty("车辆类型")
    private String robotModelNumber;

    @Schema(description = "AGV编号")
    @ExcelProperty("AGV编号")
    private String robotNo;

    @Schema(description = "上传图片附件", example = "https://www.iocoder.cn")
    @ExcelProperty("上传图片附件")
    private String url;

    @Schema(description = "电量")
    @ExcelProperty("电量")
    private String electricity;

    @Schema(description = "状态（0：待命、1：任务中、2：锁定、3：离线、4:充电中、5:故障）", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("状态（0：待命、1：任务中、2：锁定、3：离线、4:充电中、5:故障）")
    private Integer robotStatus;

    @Schema(description = "楼层")
    @ExcelProperty("楼层")
    public String floor;

    @Schema(description = "区域")
    @ExcelProperty("区域")
    public String area;

    @Schema(description = "信息")
    @ExcelProperty("信息")
    public String msg;

    private String macAddress;
    /**
     * 任务模式（0：拒收任务、1：正常）
     */
    private Integer robotTaskModel;

}
