package cn.iocoder.yudao.module.system.controller.admin.robot.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 机器人自动移库分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RobotTaskAutoMovePageReqVO extends PageParam {

    @Schema(description = "机器人任务主表id", example = "24553")
    private Long robotTaskId;

    @Schema(description = "机器人任务明细表id", example = "11392")
    private Long robotTaskDetailId;

    @Schema(description = "原库位编号")
    private String fromLocationNo;

    @Schema(description = "原库位id", example = "8838")
    private Long fromLocationId;

    @Schema(description = "搬去的目标库位编号")
    private String toLocationNo;

    @Schema(description = "搬去的目标库位id/停车点/充电点/移动终点", example = "19168")
    private Long toLocationId;

    @Schema(description = "任务状态(0:未开始、1：执行中、2：已完成、3：已取消、4：异常)", example = "1")
    private Integer taskStatus;

    @Schema(description = "取货线库id")
    private Long fromLaneId;

    @Schema(description = "放货线库id(目前设计不会用到此字段)")
    private Long toLaneId;

    @Schema(description = "优先级")
    private Long priority;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "任务类型（1：自动移库、 ）", example = "2")
    private Integer taskType;

    @Schema(description = "移动类型（1：去、 2：回）", example = "2")
    private Integer moveType;

    @Schema(description = "开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] startTime;

    @Schema(description = "结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] endTime;

    @Schema(description = "robot_task_auto_move表id，来回搬运需要记录上一次搬运的源库位", example = "32231")
    private Long taskAutoMoveId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}