package cn.iocoder.yudao.module.system.controller.admin.robot.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 机器人告警信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RobotWarnMsgRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26180")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "AGV编号")
    @ExcelProperty("AGV编号")
    private String robotNo;

    @Schema(description = "告警等级 (1,2,3,4)")
    @ExcelProperty("告警等级 (1,2,3,4)")
    private Integer warnLevel;

    @Schema(description = "告警类型 (1:告警, 2:用户操作)")
    @ExcelProperty("告警类型 (1:告警, 2:用户操作)")
    private Integer warnType;

    @Schema(description = "告警编号")
    @ExcelProperty("告警编号")
    private String warnCode;

    @Schema(description = "告警信息")
    @ExcelProperty("告警信息")
    private String warnMsg;

    @Schema(description = "告警解决方法")
    @ExcelProperty("告警解决方法")
    private String warnSolve;

    @Schema(description = "结束时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("结束时间")
    private LocalDateTime solveTime;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}