package cn.iocoder.yudao.module.system.controller.admin.robot.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 机器人告警信息新增/修改 Request VO")
@Data
public class RobotWarnMsgSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26180")
    private Long id;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "告警等级 (1,2,3,4)")
    private Integer warnLevel;

    @Schema(description = "告警类型 (1:告警, 2:用户操作)")
    private Integer warnType;

    @Schema(description = "告警编号")
    private String warnCode;

    @Schema(description = "告警信息")
    private String warnMsg;

    @Schema(description = "告警解决方法")
    private String warnSolve;

    @Schema(description = "结束时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "结束时间不能为空")
    private LocalDateTime solveTime;

}