package cn.iocoder.yudao.module.system.dal.dataobject.parkingspot;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 停车点 DO
 *
 * @author 艾楷
 */
@TableName("ware_parking_spot")
@KeySequence("ware_parking_spot_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ParkingSpotDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 地图id
     */
    private Long positionMapId;
    /**
     * 地图子表节点id
     */
    private Long positionMapItemId;
    /**
     * 库位坐标x轴
     */
    private String locationX;
    /**
     * 库位坐标y轴
     */
    private String locationY;
    /**
     * 宽度
     */
    private BigDecimal locationWide;
    /**
     * 深度
     */
    private BigDecimal locationDeep;
    /**
     * 库位方向（1：单向、2：双向、3：三向、4：四向）
     */
    private Integer direction;
    /**
     * 进入方向（0：尾入、1：头入）
     */
    private Integer inDirection;
    /**
     * 离开方向（0：尾出、1：头出）
     */
    private Integer outDirection;

}
