package cn.iocoder.yudao.module.system.dal.dataobject.positionmap;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

/**
 * 仓库点位地图连线 DO
 *
 * @author 芋道源码
 */
@TableName("ware_position_map_line")
@KeySequence("ware_position_map_line_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PositionMapLineDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 地图id
     */
    private Long positionMapId;
    /**
     * 出发点id(点位子表id)
     */
    private Long startingPointId;
    /**
     * 结束点id(点位子表id)
     */
    private Long endPointId;
    /**
     * 行走方法 0.直线 1.上左曲线2.上右曲线3.下左曲线 4.下右曲线
     */
    private Integer method;
    /**
     * 方向 1.单向 2.双向
     */
    private Integer direction;
    /**
     * 正向限速(m/s)
     */
    private BigDecimal forwardSpeedLimit;
    /**
     * 反向限速(m/s)
     */
    private BigDecimal reverseSpeedLimit;

}
