package cn.iocoder.yudao.module.system.service.robot;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.controller.admin.robot.vo.RobotTaskPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.robot.vo.RobotTaskRespVO;
import cn.iocoder.yudao.module.system.controller.admin.robot.vo.RobotTaskSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.robot.RobotTaskDO;

/**
 * 机器人任务主表 Service 接口
 *
 * @author 陈宾顺
 */
public interface RobotTaskService {

    /**
     * 创建机器人任务主表
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createTask(@Valid RobotTaskSaveReqVO createReqVO) throws InterruptedException;

    /**
     * 更新机器人任务主表
     *
     * @param updateReqVO 更新信息
     */
    void updateTask(@Valid RobotTaskSaveReqVO updateReqVO);

    /**
     * 删除机器人任务主表
     *
     * @param id 编号
     */
    void deleteTask(Long id);

    /**
     * 获得机器人任务主表
     *
     * @param id 编号
     * @return 机器人任务主表
     */
    RobotTaskDO getTask(Long id);

    /**
     * 获得机器人任务主表分页
     *
     * @param pageReqVO 分页查询
     * @return 机器人任务主表分页
     */
    PageResult<RobotTaskRespVO> getTaskPage(RobotTaskPageReqVO pageReqVO);

    /**
     * 获取任务号
     * @return
     */
    String getTaskNo();
}